This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 61616 - C++-mode in emacs can lock up (CPU spin)
C++-mode in emacs can lock up (CPU spin)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-22 00:09 EST by Burt Holzman
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-22 00:10:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Burt Holzman 2002-03-22 00:09:54 EST
Description of Problem:

It is possible to put emacs in an infinite CPU-pegging loop in C++-mode

Version-Release number of selected component (if applicable):

emacs-20.7-41
emacs-el-20.7-41

How Reproducible: Always

Steps to Reproduce:
1. start emacs 
2. M-x c++-mode

3. Type in the following program (the spaces at the beginning are important!)
  #include <foo.h>
void a () 
{ return 0; }

Upon typing the last curly bracket, emacs will lock up.
Comment 1 Trond Eivind Glomsrxd 2002-03-22 13:07:29 EST
Verified on old version and that it's fixed in newer emacsen, like emacs-21.2-1

Note You need to log in before you can comment on or make changes to this bug.